32bit LibreOffice op Debian crasht bij starten, want 32bit heeft geen prio

Van alle computers die hier in gebruik zijn is er nog een die dat doet op basis van een 32bit OS. Dat maakt qua performance niet veel uit ten opzichte van de 64bit systemen. Er is echter al tijden een programma dat niet meer draait op het 32bit systeem en dat is LibreOffice.

LibreOffice crasht direct bij het starten. Tot 16.04LTS waren er geen vergelijkbare problemen. Het switchen naar de Ubuntu smaak Mate en de upgrade naar 18.04LTS hebben LibreOffice stuk gemaakt. Daar lijkt het tenminste wel op. Heel veel aandacht is er nog niet besteed aan het euvel, omdat de machine wordt ingezet voor iets anders dan regulier office werk.

Toch is het een probleem dat als hinderlijk wordt ervaren. LibeOffice hoort het namelijk gewoon te doen. Eerste zoektochten leveren als mogelijke oorzaken een defect profiel. Dat resetten of zelf het programma verwijderen en opnieuw installeren brengt geen verbetering. Zodra de tekstverwerker of het rekenprogramma wordt gestart gaat het mis. Het programma klapt eruit nog voor het geheel geladen is.

De zoektocht naar een oorzaak is onnodig lastig omdat de optie foutmeldingen in Mate weer te geven is uitgezet of sinds de upgrades default uit staat. Zodra die is aangezet wordt in ieder geval een crashreport leesbaar. Dat is een stap op weg naar de oplossing. In het crashreport staat namelijk een vermelding naar Java. In plaats van zoeken op LibreOffice crash kan nu gezocht worden op LibreOffice Java crash.

Op die zoekstring komt vrij snel een reeks vergelijkbare ervaringen naar voren. Een koppelt het probleem specifiek aan 32bit Linux systemen. De oorzaak is in de draad te lezen. De nieuwe kernels voor de 32bit Linux systemen (in ieder geval de Debian smaken) kunnen niet overweg met de 32bit Java oplossingen die LibreOffice nodig heeft. Er wordt ook geen prioriteit aan gegeven , noch bij de Linux ontwerpers, noch bij het LibreOffice team, om dat te fixen want 32bit wordt minder belangrijk.

Zo is door het ingeven van de juiste zoekstring oorzaak en status snel duidelijk. Voor de simpele oplossing wordt in de eerste post geen suggestie gedaan. Er is wel een link naar een ander artikel waar dat wel staat. Zo simpel als het maar kan. LO heeft standaard aanstaan dat er een Java runtime omgeving moet worden gebruikt en daarbij moet de gebruiker aangeven welke. Op de 32bit Mate machine staan schijnbaar 3 verschillende runtimes geinstalleerd, maar ze zijn tijdens de installatie van LO niet aangevinkt. Daar zit de fout. Maar in plaats van een keuze voor ene van die drie te maken is gewoon de vink weghalen bij runtime de beste methode om LibreOffice (*) weer als een zonnetje te laten draaien

Het is daarbij de eerste keer dat duidelijk wordt dat het einde van 32bit software voor Debian naderbij komt. Het is immers een workaround geen echte oplossing, want die komt niet meer.

(*) dat doe je in het algemene startscherm van LO, niet dat van write of calc.

Share: